/*******************************************************************
 *   _________     _____      _____    ____  _____    ___  ____    *
 *  |_   ___  |  |_   _|     |_   _|  |_   \|_   _|  |_  ||_  _|   *
 *    | |_  \_|    | |         | |      |   \ | |      | |_/ /     *
 *    |  _|        | |   _     | |      | |\ \| |      |  __'.     *
 *   _| |_        _| |__/ |   _| |_    _| |_\   |_    _| |  \ \_   *
 *  |_____|      |________|  |_____|  |_____|\____|  |____||____|  *
 *                                                                 *
 *******************************************************************
 *                                                                 *
 *  function id definitions                  	                   *
 *                                                                 *
 *******************************************************************/

/** @file flink_funcid.h
 *  @brief flink userspace library, strings for subdevice functions.
 *
 *  This header file contains string definitions for subdevice function id's.
 *  
 *
 *  THIS FILE WAS CREATED AUTOMATICALLY - do not change
 *
 *  Created with: flinkinterface/func_id/create_flink_funcid.sh
 *
 *
 *  
 *  @author Marcel Gehrig
 */

#ifndef FLINKLIB_FUNCID_H_
#define FLINKLIB_FUNCID_H_
 

#define INFO_DEVICE_ID		0
#define ANALOG_INPUT_INTERFACE_ID		1
#define ANALOG_OUTPUT_INTERFACE_ID		2
#define GPIO_INTERFACE_ID		5
#define COUNTER_INTERFACE_ID		6
#define PWM_INTERFACE_ID		12
#define PPWA_INTERFACE_ID		13
#define WD_INTERFACE_ID		16

#endif // FLINKLIB_FUNCID_H_

